# Command: Float

Float variable/value Definition:

Convert integer value to a floating point number.

Parameter Description:

variable/value = integer value or variable

Command Description:

Use this command to transform an integer value to a floating point value (presumably to perform a floating point related math function on it). Blitz does a good job of adding dissimilar number types, but if you want to play by the rules and/or port code to/from Blitz, remember to convert your integers to floating point before doing math upon them with dissimilar types.

Example:

; Float example a=100 b#=2.5 c#=Float a Print b# + c#

Index